Skip to main content
GET
/
beneficiaries
List beneficiaries
curl --request GET \
  --url https://prod-api.pcxpay.com/v1/beneficiaries \
  --header 'Authorization: <authorization>' \
  --header 'X-Api-Key: <x-api-key>'
{
  "data": [
    {
      "account_name": "<string>",
      "currency": "NGN",
      "country": "NG",
      "account_number": "<string>",
      "bank_code": "<string>",
      "bank_name": "<string>",
      "momo_details": {
        "phone_number": "<string>",
        "provider": "<string>"
      },
      "org_id": "<string>",
      "beneficiary_id": "<string>",
      "beneficiary_of": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "count": 123,
    "last_evaluated_key": "<string>"
  }
}

Headers

Authorization
string
default:NONE
required

Bearer JWT for user-facing flows (Bearer eyJraWQ...), or the literal string NONE when authenticating via API key.

Example:

"Bearer eyJraWQ..."

X-Api-Key
string
default:NONE
required

API key for server-to-server flows, or the literal string NONE when authenticating via JWT.

Example:

"pcx_abc123_xxxx"

Query Parameters

user_id
string

Optionally scope to a specific user ID.

limit
integer
default:10
last_evaluated_key
string

Response

200 - application/json

Beneficiary list

data
object[]
meta
object